Download it now!
Bug 92345 - Text Flow, paragraph to para and footnotes to para inserting blank page CANNOT save corrections to template
Summary: Text Flow, paragraph to para and footnotes to para inserting blank page CANNO...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-26 08:50 UTC by Michelle Christides
Modified: 2017-01-31 00:25 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michelle Christides 2015-06-26 08:50:22 UTC
page inserting itself after paragraph AND after footnote superscript even followed by a word
writer
asked Jun 21 '15
jungsoul gravatar image
jungsoul 
1
A drop-down to the next page or a blank page is inserting itself after a paragraph, as well as after an inserted footnote (the superscript number) even when there is a word in the same sentence inserted after the footnote number in the main text-body.

I have read the manual and used Libre Office extensively -- but cannot overcome this problem unless I go through paragraph by paragraph and back-space between and then re-enter the 0.5 indentation each paragraph. AND I have to do the same after a footnote superscript is inserted.

THEN the footnote style has a 12-point number in the footnote area itself, and this causes the 10-point font of the footnote message to drop down, often several lines, also shortening the text in the main body of the page above.

No matter how many times I correct these annoying blanks, I canNOT prevent them happening again in the same document. FURTHERMORE, I canNOT get the DEFAULT STYLE to change to the ONE I USE!

I have searched all these topics and do not find these problems -- ARE THEY BUGS?

ONE ANSWER

Please verify if there is a page break for the paragraph style.

Thanks for the suggestion; here is the result: In order to set TEXT FLOW under Format> paragraph, to "keep with next paragraph" -- I had to select the entire document (more than 200 pages). All the footnotes that occur in the middle of a sentence and therefore mid-paragraph, remained as new paragraphs. All the INSERT > manual >new page before ALL CHAPTERS then were wiped out. I can't find the way to edit the FOOTNOTE--TEXT BODY interacting style, nor the text within footnote.

I HAVE BEEN USING THESE 2 HELP TOPICS -- BUT THESE PROBLEMS ARE SO BAD I CAN ONLY THINK OF IT AS A SERIOUS BUG IN LO, because you canNOT get to the TEMPLATE STYLE you want in the first place to SAVE AS TEMPLATE!  The spaces show up only after you've saved your long document, not while you're writing it, so they too would be "saved as template."

Changing Default Templates When you open a new document with File - New, a blank document appears based on a LibreOffice template. You can edit, modify, or replace this template so that the new document contains your customized Styles or other contents. Modifying Default Templates First, open either an existing LibreOffice template and modify it, or open a new document and edit it as necessary to create the desired template.

You can define a document template for each LibreOffice module. The following describes how to proceed for text documents.

Save the document by choosing File - Save As Templateand saving the document in the My Templates category.
Choose File - New - Templates.
Double-click My Templates in the list. You will see the user-defined templates in the user directory specified under LibreOffice - Preferences - LibreOffice - Paths. Select the template you have just saved.
Choose Set as default. The next time you open a new text document, the new document will be based on the new default template.
Using Custom Templates There are several ways to make your work easier by using your own custom templates. Templates in the Template Folder You can save a new template with File - Save As Template or by selecting "Template" file type in any Save dialog. Save the template in the user directory specified under LibreOffice - Preferences - LibreOffice - Paths to be able to access the template from within the File - New - Templates dialog. To open the template for editing, choose File - New - Templates, select the template and click the Edit button. Related Topics Templates Changing the Default Template
Comment 1 Alex Thurgood 2015-06-26 08:59:06 UTC
@Michell : there appear to be several different problems reported - please open up separate bug reports for each one.

Also please provide, step-by-step detailed instructions that result in the repeatable behaviour.

It would also be preferable if you could provide a document that displays the incorrect behaviour in the most minimal form possible to show that behaviour.

At present, I don't know how to reproduce the problems you are experiencing.

Setting to NEEDINFO until requested information is provided, please set back to UNCONFIRMED once you have done so.
Comment 2 Alex Thurgood 2015-06-26 09:09:23 UTC
@Michelle : part of your report looks similar to the behaviour reported in bug 91025, which is also in NEEDINFO status.
Comment 3 Michelle Christides 2015-06-26 19:20:12 UTC
Alex, I WAS GOING TO ATTACH MY WHOLE BOOK TO SHOW YOU THIS MISERABLE BUG THAT APPEARS TO BE COMING IN LONG DOCUMENTS BUT I JUST READ YOUR PUBLIC AVAILABILITY WARNING.  PLEASE PROVIDE ALTERNATIVE SINCE IT HAPPENS ONLY IN BOOK-LENGTH DOCS===>>>

Many thanks -- it does seem as though Patrick in bug 9125 may have the same problem and he attributes it to the length of the document.  This at least coincides with the fact that mine too is a book.

I have been using my MacBookPro with Yosemite today.  Tomorrow, I'll go back to my iMac because after doing all that I describe hereafter, I saved as template and -- you'll see.  

I was despairing that these insertions which seem to come out of nowhere were going to delay my uploading to Amazon, so I spent all day (I'm in France, CET) going through as many blank spaces between paragraphs as I could find and re-setting format>para>text flow> and checking "do not split para" and "keep with next para"
Also set format>para>lines & spacing

Right now I'm dead.  I am attaching the whole document.  You will see what I will submit to you separate bug reports when I recover from this trauma.  

1.  Would you believe now ALL the footnotes have become double-spaced lines?  Why?  I did NOT do a "select all" because I have many single-spaced quotations of more than four lines, which therefore need to be inset.  So why would the footnotes now change?

2.  The footnote is a separate problem IF and only IF you cannot provide a formatting section to do as follows in footnote:  maintain same font but in 10-point.  Entire document is in the same Times New Roman 12-point.  But the footnote number inside the footnote at the beginning remains 12-point and then the whole footnote drops down sometimes several lines and no matter how many times it is re-set ...

2.  Main document text bug is the title of the question I asked last week and copied in its entirety to you in my first bug report today.

Do a search please in the attached document for the word:
Epilogue
Go to the second one, not the one at the beginning in Table of Contents (which incidentally will NOT bookmark so that Amazon Kindle readers can link to the Chapter number or title).  Yes, I've followed the "Help" too many times to try again.

At the last ten pages or so of the main text (before the Glossary) the last section Epilogue had paragraph after paragraph with blanks inserted.  I got them all but ONE and just found your request.  So if you search the text:
Earth Goddess, Gaia, that we who are alive today have had the privilege to see in photographs of the Earth from space.  
You'll find the same miserable blank between paragraphs.
3.  Last major BUG.  I saved as TEMPLATE and then as DEFAULT and what happened?  Now all my single-line spaced quotations at the beginnings of each chapter are all double lined.  I have to re-set each one.  Not to mention the footnote texts.
Michelle

On Fri, Jun 26, 2015 at 10:59 AM, <bugzilla-daemon@bugs.documentfoundation.org> wrote:
Alex Thurgood changed bug 92345
Comment 4 Alex Thurgood 2015-06-27 09:29:59 UTC
@Michelle: is the document you are working on in Word format or ODT ?

If it is an ODT document, was the original template, or document, a Word document that was opened in LibreOffice.

Did you originally create the document in LibreOffice from scratch, then export to Word format (if so which one), and then continue to work on it from there ?

I am just trying to narrow down the possibilities. Other than stating that the document is big, you do not mention how the document was created. 

Please note that I am not disbelieving that your problem is real, but without a sample document, and of course absolutely understanding that you don't want to publish your book on the bugzilla website, we can't go much further.

Ideally, a Lorem Ipsum (see Lorem Ipsum extension) filled document that uses your document structure and containing the problematic footnotes would be a good starting point.
Comment 5 Michelle Christides 2015-06-27 11:00:41 UTC
Alex, I tried to attach my document to email you sent directly to me.  At this point, I will publish the whole book on your website to solve this problem without having to write it again!  Here are my answers to your questions, inserted at each one:

 is the document you are working on in Word format or ODT ?  I save in Word *.doc -- not *.docx -- therefore in the most used M/S doc.   

If it is an ODT document, was the original template, or document, a Word
document that was opened in LibreOffice.  No, I started the book on my iMac from a new text document in LO.  I did not experience this problem until later in the length of the document -- then I kept correcting as I went along. This is why Patrick's bug report makes sense to me.  No matter how many times I correct, it reverts when I save.  I always saved in Word 97/200/XP/2003(.doc) -- then I tried Word 2007/2010/2013XML(.docx) -- because AMAZON wants it.  I have used Word since the 1980s and Word 97 seems to be the easiest and most complete for my editing functions as a writer. 

Did you originally create the document in LibreOffice from scratch, then export
to Word format (if so which one), and then continue to work on it from there ?  As above, I never exported, never ever saved in odt even the first time (because, as with Gimp or with Audacity, proprietary formats are not easily used when you want to publish).  I hate PAGES (the iMac, as you probably know) and when I went to Mac last year, I was recommended LO by a friend, who said it's better than Open Office, which it was until this misery started. 

I am just trying to narrow down the possibilities. Other than stating that the
document is big, you do not mention how the document was created. Sorry -- all my docs are saved as Word 97 and started in "new text doc" from scratch.

Please note that I am not disbelieving that your problem is real, but without a
sample document, and of course absolutely understanding that you don't want to
publish your book on the bugzilla website, we can't go much further. Thought you had an "alternative" --
Comment 6 Michelle Christides 2015-06-30 12:31:43 UTC
Is there a DEFAULT FORMATTING SCREEN for both text-body and another for footnote formatting of lines, font-size, etc. --  so that perhaps this whole MISERABLE BUG for long documents could be resolved?

In following ALL the HELP instructions I cut and pasted into my first bug report -- all I get is my entire book every time I open a new text document, even to start a short letter!  Your HELP says to save the document as template and then set as default and this will change the many parameters in headings, bookmarks, line spacings, text flow, para to para, font-size in text and in footnotes.  Well, it doesn't.  I now have to go through the whole thing and re-enter 0.5" just for the first line of all paragraphs.  If I do a "select-All" then I'll have to re-set all my quotation indents.

I am willing to send the whole document.  Publish it or perish.  Please fix these bug!  BTW, I tried to separate the reports here.  

I have answered all the questions about ODT, DOC, etc.  I have even tried copying the whole book into a new blank document (after I selected ALL and deleted the default that opened with my whole book again) and saving in ODT>  Just opens a whole series of new problems.  

I actually tried awhile back to contribute money to your website and was told it wasn't functioning for CR cards and please come back -- AFTER I entered everything, of course.
Comment 7 Michelle Christides 2015-06-30 12:49:14 UTC
P. S.  In my last post asking about saving all formatting to a default style master for text and footnote bodies, I am referring to the "properties" settings and the "lists" of headings, formattings, etc.
Comment 8 QA Administrators 2016-12-07 12:54:58 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-01-31 00:25:06 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170131